Loading...
Searching...
No Matches
Library version constatnts and check macros

## Macros

#define | LR_VERSION_MAJOR 1
#define | LR_VERSION_MINOR 20
#define | LR_VERSION_PATCH 0
#define | LR_VERSION "1.20.0"
#define | LR_VERSION_CHECK(major, minor, patch)

## Detailed Description

## Macro Definition Documentation

## LR_VERSION

#define LR_VERSION "1.20.0"

Version string

Definition at line 36 of file version.h.

## LR_VERSION_CHECK

#define LR_VERSION_CHECK | ( |  | major,
|  |  | minor,
|  |  | patch )

Value:
(LR_VERSION_MAJOR > (major) || \
(LR_VERSION_MAJOR == (major) && LR_VERSION_MINOR > (minor)) || \
(LR_VERSION_MAJOR == (major) && LR_VERSION_MINOR == (minor) && \
LR_VERSION_PATCH >= (patch)))
LR_VERSION_PATCH
#define LR_VERSION_PATCH
Definition version.h:35
LR_VERSION_MAJOR
#define LR_VERSION_MAJOR
Definition version.h:33
LR_VERSION_MINOR
#define LR_VERSION_MINOR
Definition version.h:34

Macro for version check.

Parameters

  major | Major version
  minor | Minor version
  patch | Patch version

Returns
  True if current Librepo version is higher or equal

Definition at line 44 of file version.h.

## LR_VERSION_MAJOR

#define LR_VERSION_MAJOR 1

Major Librepo version

Definition at line 33 of file version.h.

## LR_VERSION_MINOR

#define LR_VERSION_MINOR 20

Minor Librepo version

Definition at line 34 of file version.h.

## LR_VERSION_PATCH

#define LR_VERSION_PATCH 0

Patch Librepo version

Definition at line 35 of file version.h.